Phunware Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/phunware-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/phunware-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1735603200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.phunware.com/sec-filings/annual-reports/content/0000950170-25-047919/0000950170-25-047919.pdf",
    "holding_balance": 0.82,
    "holding_net_change": -2.18,
    "transaction_value_usd": 203527.089,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/phunware-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    0.82
  ],
  [
    1779062400000,
    0.82
  ],
  [
    1779148800000,
    0.82
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/phunware-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    63492.4852
  ],
  [
    1779062400000,
    63094.3014
  ],
  [
    1779148800000,
    62943.208199999994
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/phunware-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 2.03,
    "date": "2026-05-15",
    "high": 2.2,
    "open": 2.2,
    "close": 2.07,
    "volume": 151400
  },
  {
    "low": 2.01,
    "date": "2026-05-18",
    "high": 2.09,
    "open": 2.07,
    "close": 2.03,
    "volume": 145600
  },
  {
    "low": 1.98,
    "date": "2026-05-19",
    "high": 2.03,
    "open": 2.02,
    "close": 1.98,
    "volume": 88247
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/phunware-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.14,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.17
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/phunware-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -10.0,
  "six_month_return": -9.59,
  "three_month_return": 9.39
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/phunware-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.2,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}